Resource

On-Call Schedule Layer User

On-Call Schedule Layer Users

The On-Call Schedule Layer User Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    onCallDutyPolicySchedule
    Type
    On-Call Policy Schedule
    Description

    Relation to On-Call Policy Schedule where this escalation rule belongs.

  • Name
    onCallDutyPolicyScheduleId
    Type
    Object IDRequired
    Description

    ID of your On-Call Policy Schedule where this escalation rule belongs.

  • Name
    onCallDutyPolicyScheduleLayer
    Type
    On-Call Schedule Layer
    Description

    Relation to On-Call Policy Schedule Layer where this belongs.

  • Name
    onCallDutyPolicyScheduleLayerId
    Type
    Object IDRequired
    Description

    ID of your On-Call Policy Schedule Layer where this escalation rule belongs.

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    order
    Type
    Number
    Description

    Order / Priority of this layer. Lower the number, higher the priority.

  • Name
    user
    Type
    User
    Description

    User who belongs to this layer.

  • Name
    userId
    Type
    Object IDRequired
    Description

    ID of User who belongs to this team

GETorPOST/api/on-call-duty-schedule-layer-user/get-list

List

This endpoint allows you to retrieve a paginated list of all your On-Call Schedule Layer User. By default, a maximum of ten On-Call Schedule Layer User are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/on-call-duty-schedule-layer-user/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "onCallDutyPolicyScheduleId": true,
    "onCallDutyPolicyScheduleLayerId": true,
    "projectId": true,
    "userId": true,
    "_id": true
  },
  "query": {},
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "37778520-28fe-11f1-b591-3fdcef396aba",
      "onCallDutyPolicyScheduleId": "550e8400-e29b-41d4-a716-446655440000",
      "onCallDutyPolicyScheduleLayerId": "550e8400-e29b-41d4-a716-446655440000",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "userId": "550e8400-e29b-41d4-a716-446655440000"
    },
    {
      "_id": "37778521-28fe-11f1-b591-3fdcef396aba",
      "onCallDutyPolicyScheduleId": "550e8400-e29b-41d4-a716-446655440000",
      "onCallDutyPolicyScheduleLayerId": "550e8400-e29b-41d4-a716-446655440000",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "userId": "550e8400-e29b-41d4-a716-446655440000"
    },
    {
      "_id": "37778522-28fe-11f1-b591-3fdcef396aba",
      "onCallDutyPolicyScheduleId": "550e8400-e29b-41d4-a716-446655440000",
      "onCallDutyPolicyScheduleLayerId": "550e8400-e29b-41d4-a716-446655440000",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "userId": "550e8400-e29b-41d4-a716-446655440000"
    }
  ]
}
GETorPOST/api/on-call-duty-schedule-layer-user/:id/get-item

Get item by ID

This endpoint allows you to retrieve On-Call Schedule Layer User by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/on-call-duty-schedule-layer-user/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "onCallDutyPolicyScheduleId": true,
    "onCallDutyPolicyScheduleLayerId": true,
    "projectId": true,
    "userId": true,
    "_id": true
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "onCallDutyPolicyScheduleId": "550e8400-e29b-41d4-a716-446655440000",
  "onCallDutyPolicyScheduleLayerId": "550e8400-e29b-41d4-a716-446655440000",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "userId": "550e8400-e29b-41d4-a716-446655440000"
}
POST/api/on-call-duty-schedule-layer-user/count

Count

This endpoint allows you to retrieve the count of all your On-Call Schedule Layer User.

Optional Request Body

Count Request

POST
/api/on-call-duty-schedule-layer-user/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {}
}

Response

{
  "count": 107
}
POST/api/on-call-duty-schedule-layer-user

Create On-Call Schedule Layer User

This endpoint allows you to create a new object.

Create Request

POST
/api/on-call-duty-schedule-layer-user
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "onCallDutyPolicyScheduleId": "550e8400-e29b-41d4-a716-446655440000",
    "onCallDutyPolicyScheduleLayerId": "550e8400-e29b-41d4-a716-446655440000",
    "projectId": "550e8400-e29b-41d4-a716-446655440000",
    "userId": "550e8400-e29b-41d4-a716-446655440000",
    "createdByUser": "Example created by user"
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "onCallDutyPolicyScheduleId": "550e8400-e29b-41d4-a716-446655440000",
  "onCallDutyPolicyScheduleLayerId": "550e8400-e29b-41d4-a716-446655440000",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "userId": "550e8400-e29b-41d4-a716-446655440000"
}
PUT/api/on-call-duty-schedule-layer-user/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/on-call-duty-schedule-layer-user/:id/update-item
GET/api/on-call-duty-schedule-layer-user/:id/update-item

Update Request

PUT
/api/on-call-duty-schedule-layer-user/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "userId": "550e8400-e29b-41d4-a716-446655440000",
    "order": 100,
    "user": "Example user"
  }
}

Response

{}
DELETE/api/on-call-duty-schedule-layer-user/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/on-call-duty-schedule-layer-user/:id/delete-item
GET/api/on-call-duty-schedule-layer-user/:id/delete-item

Delete Request

DELETE
/api/on-call-duty-schedule-layer-user/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read On-Call Schedule Layer User

  • Project Owner
  • Project Admin
  • Project Member
  • Read On-Call Schedule Layer
  • Read All Project Resources

Create Permissions

Required to create On-Call Schedule Layer User

  • Project Owner
  • Project Admin
  • Project Member
  • Create On-Call Schedule Layer

Update Permissions

Required to update On-Call Schedule Layer User

  • Project Owner
  • Project Admin
  • Edit On-Call Schedule Layer

Delete Permissions

Required to delete On-Call Schedule Layer User

  • Project Owner
  • Project Admin
  • Delete On-Call Schedule Layer